
import student.*;
import java.awt.Color;

// -------------------------------------------------------------------------
/**
 *  Example showing Media Comp's graphic classes
 */
public class Examples
{
   public Examples()
   {
      FileChooser.setMediaPath("/Users/manuel/Dropbox/CurrentWork/Teaching/CS 1124-Media Computation/11 Fall Media Comp/Code");
   }

   public void Example1ColorChange()
   {
       String filename = FileChooser.pickAFile();
       Picture pictureObject = new Picture(filename);
       pictureObject.show();
       
       decreaseRed(pictureObject);
       pictureObject.repaint();
   }
   private void decreaseRed(Picture pict)
   {
       Pixel[] pixelArray = pict.getPixels();
       int value = 0;
       for (Pixel pixo : pixelArray) {
           value = pixo.getRed();
           value = (int)(value * 0.25);
           pixo.setRed(value);
        }
    }

    public void Example2Chromakey()
    {
        int offsetx = 200;
        int offsety = 200;

        Picture chroma = new Picture(FileChooser.pickAFile());
        Picture bkgn = new Picture(FileChooser.pickAFile());
        chromakey(chroma, bkgn, offsetx, offsety);
        bkgn.show();
    }
    
    private void chromakey(Picture chroma, Picture newBg, int offsetx, int offsety)
    {
        Pixel chromaPixel = null;
        Pixel bgndPixel = null;
        Color color = new Color(0, 130, 0);
        for (int x = 0; x < chroma.getWidth(); x++)
        {
            for (int y = 0; y < chroma.getHeight(); y++)
            {
                chromaPixel = chroma.getPixel(x, y);
                if (chromaPixel.colorDistance(color) >= 70)
                {
                    bgndPixel = newBg.getPixel(offsetx+x, offsety+y);
                    bgndPixel.setColor(chromaPixel.getColor());
                }
            }
        }
    }
}
